curl --request POST \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/shipments' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"order_id": "550e8400-e29b-41d4-a716-446655440000",
"recipient_name": "John Doe",
"shipping_address": "123 Main Street, San Francisco, CA 94102, US",
"shipping_method": "express",
"tracking_number": "1Z999AA10123456784"
}'
{
"data": {
"created_at": "2024-12-09T10:30:00Z",
"delivered_at": null,
"estimated_delivery": "2024-12-12T18:00:00Z",
"id": "990e8400-e29b-41d4-a716-446655440000",
"order_id": "550e8400-e29b-41d4-a716-446655440000",
"recipient_name": "John Doe",
"shipped_at": "2024-12-09T14:30:00Z",
"shipping_address": "123 Main Street, San Francisco, CA 94102, US",
"shipping_method": "express",
"status": "in_transit",
"tracking_number": "1Z999AA10123456784",
"updated_at": "2024-12-09T14:30:00Z"
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Create a shipment
Create a shipment
POST
/
api
/
v1
/
shipments
curl --request POST \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/shipments' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"order_id": "550e8400-e29b-41d4-a716-446655440000",
"recipient_name": "John Doe",
"shipping_address": "123 Main Street, San Francisco, CA 94102, US",
"shipping_method": "express",
"tracking_number": "1Z999AA10123456784"
}'
{
"data": {
"created_at": "2024-12-09T10:30:00Z",
"delivered_at": null,
"estimated_delivery": "2024-12-12T18:00:00Z",
"id": "990e8400-e29b-41d4-a716-446655440000",
"order_id": "550e8400-e29b-41d4-a716-446655440000",
"recipient_name": "John Doe",
"shipped_at": "2024-12-09T14:30:00Z",
"shipping_address": "123 Main Street, San Francisco, CA 94102, US",
"shipping_method": "express",
"status": "in_transit",
"tracking_number": "1Z999AA10123456784",
"updated_at": "2024-12-09T14:30:00Z"
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Request body
CreateShipmentRequest
string (uuid)
required
Order UUID to ship
string
required
Recipient name
string
required
Full shipping address
string
required
Shipping method (standard, express, overnight, twoday, international, custom)
string
required
Carrier tracking number
Response
ApiResponse_ShipmentSummary
object
Show data
Show data
string (date-time)
required
Creation timestamp
string,null (date-time)
Actual delivery date
string,null (date-time)
Estimated delivery date
string (uuid)
required
Shipment UUID
string (uuid)
required
Associated order UUID
string
required
Recipient name
string,null (date-time)
Actual ship date
string
required
Full shipping address
string
required
Shipping method (standard, express, overnight, twoday, international, custom)
string
required
Shipment status (pending, label_created, in_transit, out_for_delivery, delivered, exception)
string
required
Carrier tracking number
string (date-time)
required
Last update timestamp
array,null
string,null
boolean
required
Status codes
| Code | Meaning |
|---|---|
201 | Shipment created |
400 | Invalid request |
curl --request POST \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/shipments' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"order_id": "550e8400-e29b-41d4-a716-446655440000",
"recipient_name": "John Doe",
"shipping_address": "123 Main Street, San Francisco, CA 94102, US",
"shipping_method": "express",
"tracking_number": "1Z999AA10123456784"
}'
{
"data": {
"created_at": "2024-12-09T10:30:00Z",
"delivered_at": null,
"estimated_delivery": "2024-12-12T18:00:00Z",
"id": "990e8400-e29b-41d4-a716-446655440000",
"order_id": "550e8400-e29b-41d4-a716-446655440000",
"recipient_name": "John Doe",
"shipped_at": "2024-12-09T14:30:00Z",
"shipping_address": "123 Main Street, San Francisco, CA 94102, US",
"shipping_method": "express",
"status": "in_transit",
"tracking_number": "1Z999AA10123456784",
"updated_at": "2024-12-09T14:30:00Z"
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Last modified on August 31, 2026